---
title: DedicatedWorkerGlobalScope.close()
slug: Web/API/DedicatedWorkerGlobalScope/close
tags:
  - API
  - DOM
  - DedicatedWorkerGlobalScope
  - Method
  - Reference
  - Web Workers
  - close
---
<p>{{APIRef("Web Workers API")}}</p>

<p>The <code><strong>close()</strong></code> method of the {{domxref("DedicatedWorkerGlobalScope")}} interface discards any tasks queued in the <code>DedicatedWorkerGlobalScope</code>'s event loop, effectively closing this particular scope.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">self.close();</pre>

<h2 id="Example">Example</h2>

<p>If you want to close your worker instance from inside the worker itself, you can call the following:</p>

<pre class="brush: js">close();</pre>

<p><code>close()</code> and <code>self.close()</code> are effectively equivalent — both represent <code>close()</code> being called from inside the worker's inner scope.</p>

<div class="note">
<p><strong>Note</strong>: There is also a way to stop the worker from the main thread: the {{domxref("Worker.terminate")}} method.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-dedicatedworkerglobalscope-close', 'close()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DedicatedWorkerGlobalScope.close")}}</p>

<h2 id="See_also">See also</h2>

<p>{{domxref("DedicatedWorkerGlobalScope")}}</p>
